Page MenuHomePhabricator

Graphically differentiate in history and logs revisions which are deleted from those suppressed
Open, LowPublic

Description

Author: FT2.wiki

Description:
Now I see what's going on!

Previously, the bolding of show/hide links was used to indicate suppressed vs. admin-level redacted revisions.

However with a move to checkboxes, the show/hide links have been removed from some pages. So this isn't clear any more.

That information needs to be reinstated and shown for oversighters on page histories, and also on any other pages which were moved to checkboxes rather than del/undel links. Bold was a good way, what else can be done instead?


Version: unspecified
Severity: normal

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:53 PM
bzimport set Reference to bz21272.
bzimport added a subscriber: Unknown Object (MLST).

oversight-wp wrote:

Maybe indicate with red 's' as how minor edits are displayed.

Changing summary to make it understandable.
This is a problem also in logs: if you're a sysop you're provided links to deleted or suppressed revisions although you can't actually see the former ones (and you see only an error); this may be confusing (see also bug 23651 which would provide those links to everyone).

  • Bug 24122 has been marked as a duplicate of this bug. ***

Pardon my ignorance, but I wonder what the "ang" stands for in the bug summary "Differentiate graphically deleted vs. suppressed revisions in history ang log" or if it's a typo for something I don't know.

Presumably it ought to mean "and". Adjusted.

Nemo_bis lowered the priority of this task from Medium to Low.Apr 26 2015, 5:47 PM
Nemo_bis set Security to None.
Nemo_bis added subscribers: aaron, bzimport.

Both deleted and suppressed versions on result pages such as "&action=history" have the class "history-deleted" applied. Could a different, or additional class be applied to suppressed elements?

Preferably, some default in line styling could also be applied to this class, perhaps "text-decoration-style: double" along with the strike through? This could always be applied locally if the class can be introduced.

When examining a large page history this would help oversighters review which elements have already been suppressed from the results page.

@Ladsgroup would you mind commenting on this, especially as to how developer-costly it would be to implement?

As an oversighter, this is super annoying and I would love for a more clear visual difference between suppressed and revdelled links.

I would love to have a clear visual difference between rev del'd and oversighted links as well.

@Ladsgroup would you mind commenting on this, especially as to how developer-costly it would be to implement?

I don't know the internals of suppressing but I can take a look and let you know. Stay tuned.

looked at it, it's a bit all over the place but doable. Before making a patch I think we need to find a good style. I disagree with text-decoration-style: double as it's barely distinguishable from the rest (specially keep accessibility in mind please). Color coding might not be that bad, but it'll conflict with flagged revs probably.

@Ladsgroup it used to be bold, perhaps italic+strikethrough? Keep in mind, the reader audience for this is very small as only oversighters see this at all, I'd rather see an additional class be applied and let styling be a local issue then for this to be blocked for a long time debating on what the styling should be though.

They're already italic+strike through. However, if they used to be bold, why not bold them now?

bold+emp+strike seems fine (see https://en.wikipedia.org/w/index.php?title=User:Xaosflux/sandbox100&action=history) (enwiki OS required to see differences - or rather lack of them)

Change 678715 had a related patch set uploaded (by Ladsgroup; author: Ladsgroup):

[mediawiki/core@master] [WIP] Add classes when the change is suppressed

https://gerrit.wikimedia.org/r/678715

The patch is basically ready.
The result locally:

image.png (98×896 px, 33 KB)

I like the bold. I have no opinion on the double-strike though I can see the potential benefits.

Maybe just the bold by default, if it has a unique class associated users or projects can always add extra decoration.

I'm not against double cross. I'm against just double cross. Let's hope this get merged. You can change it in your wiki if you want to.

Not an oversighter, but double cross for OS and cross for regular RD sounds intuitive.

That would be great if we could get this pushed out. It would save a lot of time and headache. What would the timeline be like if we move forward with this? :-)

Jdforrester-WMF renamed this task from Differentiate graphically deleted vs. suppressed revisions in history and log to Graphically differentiate in history and logs revisions which are deleted from those suppressed.Apr 21 2021, 5:22 AM

Change 678715 merged by jenkins-bot:

[mediawiki/core@master] Add classes to when a linked change is suppressed

https://gerrit.wikimedia.org/r/678715

Do we want to declare this Resolved, or should we leave this open until logs / RC / etc. are also done?

if it is only partially done, then either retitle it to what is open and spin off tasks for what remains, or keep it open and prob still make said subtasks?

let's keep it open for now, this task has been around for years, can survive a couple more weeks. I'll tackle the rest later next week.

I'm not totally sold on bold. These links should be de-emphasized, not emphasized, because we've chosen to hide the content associated from view (i.e. don't want people to go investigating because they notice that one of the non-links was bolded). Grey seems okay and the strikeout of course also seems fine.

I'm not totally sold on bold. These links should be de-emphasized, not emphasized, because we've chosen to hide the content associated from view (i.e. don't want people to go investigating because they notice that one of the non-links was bolded). Grey seems okay and the strikeout of course also seems fine.

As this has a class now (mw-history-suppressed) projects or individuals can style it as they would like, I don't think "a color" should be the default though; as far as your concern, do these even show for non-oversighter admins or editors? Here is the output on enwiki:

https://en.wikipedia.org/w/index.php?title=User:Xaosflux/sandbox101&action=history

image.png (55×878 px, 8 KB)

I think OSers should see the bold — we want the visual differentiation — but it does show for non-OSErs. Is that a problem? It reveals more information that way. It's occasionally possible to determine via absence in public logs, but not always. Diffs aren't readily accessible, but they do appear to show the same thing and explicitly state revdel or OSed.

OK, so this "leaks" that the content is suppressed as opposed to deleted; but for transparency purposes that might not be a bad thing?

I think OSers should see the bold — we want the visual differentiation — but it does show for non-OSErs. Is that a problem? It reveals more information that way. It's occasionally possible to determine via absence in public logs, but not always. Diffs aren't readily accessible, but they do appear to show the same thing and explicitly state revdel or OSed.

As long as nothing is known about the contents of the suppressed entry, I don't believe there is any real issue with this. People should be able to know whether something is suppressed or not. This is good because then people will know who to contact if there is a suppressed entry that concerns them.